var TextSuperMarkSpec = {
  attrs: {
    overridden: {
      "default": false
    }
  },
  parseDOM: [{
    tag: 'sup',
    getAttrs: function getAttrs(dom) {
      var _overridden = dom.getAttribute('overridden');
      return {
        overridden: _overridden === 'true'
      };
    }
  }, {
    style: 'vertical-align',
    getAttrs: function getAttrs(value) {
      return value === 'sup' ? {
        overridden: true
      } : null;
    }
  }],
  toDOM: function toDOM(mark) {
    return ['sup', {
      overridden: mark.attrs.overridden
    }, 0];
  }
};
export default TextSuperMarkSpec;
import { bpfrpt_proptype_MarkSpec } from "./Types.js";